package ub.scp2.bo;

import java.util.List;

import ub.scp2.entities.Subject;
import ub.scp2.entities.User;

public interface SubjectBo {

	public List<Subject> getSubjects();
	public void saveSubject(Subject subject);
	public void deleteSubject(Subject selectedSubject);
	public void updateSubject(Subject selectedSubject);
	public Subject getSubjectById(Long subjectId);
	public boolean subjectTitleExist(String subjectTitle);
	
	
}
